Hi,

the attached patch fixes the following installation warning on debian squeeze 
and ubuntu lucid:
update-rc.d: warning: xenomai start runlevel arguments (2 3 4 5) do not match 
LSB Default-Start values (S)
update-rc.d: warning: xenomai stop runlevel arguments (0 1 6) do not match LSB 
Default-Stop values (none)

Stefan

From 1ac2238e2f8edb5912c9d02ec508a464add14d16 Mon Sep 17 00:00:00 2001
From: Stefan Kisdaroczi <ki...@hispeed.ch>
Date: Mon, 14 Jun 2010 16:14:50 +0200
Subject: [PATCH] debian: fix init script start/stop values

---
 debian/libxenomai1.xenomai.init |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/debian/libxenomai1.xenomai.init b/debian/libxenomai1.xenomai.init
index e243b5e..5680ab7 100644
--- a/debian/libxenomai1.xenomai.init
+++ b/debian/libxenomai1.xenomai.init
@@ -3,8 +3,8 @@
 # Provides:          xenomai
 # Required-Start:    mountkernfs
 # Required-Stop:
-# Default-Start:     S
-# Default-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
 # Short-Description: Set xeno_nucleus group
 ### END INIT INFO
 
-- 
1.5.6.5

Attachment: signature.asc
Description: OpenPGP digital signature

_______________________________________________
Xenomai-core mailing list
Xenomai-core@gna.org
https://mail.gna.org/listinfo/xenomai-core

Reply via email to